[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TStringReader.Reset

Reset the stream to its original position

## Declaration

Source position: streamex.pp line 136

`public procedure TStringReader.Reset; override;`

## Description

Reset sets the stream to its original position. This is the string-specific implementation of the abstract TTextReader.Reset method.

## See also

TStreamReader.BaseStream |  | The stream with the text data